## org.hibernate.hql.ast.tree
Class IndexNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.ast.tree.Node
                  org.hibernate.hql.ast.tree.SqlNode
                      org.hibernate.hql.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.ast.tree.AbstractSelectExpression
                              org.hibernate.hql.ast.tree.FromReferenceNode
                                  org.hibernate.hql.ast.tree.IndexNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, DisplayableNode, InitializeableNode, PathNode, ResolvableNode, SelectExpression

    public class IndexNode

extends FromReferenceNode

Represents the [] operator and provides it's semantics.

Author:
  josh
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.hql.ast.tree.FromReferenceNode
`ROOT_LEVEL`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`IndexNode()`

Method Summary
`void` `prepareForDot(String propertyName)`
`void` `resolve(boolean generateJoin, boolean implicitJoin, String classAlias, antlr.collections.AST parent)` Does the work of resolving an identifier or a dot
`void` `resolveIndex(antlr.collections.AST parent)` Does the work of resolving an an index [].
`void` `setScalarColumnText(int i)` Appends AST nodes that represent the columns after the current AST node.

Methods inherited from class org.hibernate.hql.ast.tree.FromReferenceNode
`getDisplayText, getFromElement, getImpliedJoin, getPath, isResolved, isReturnableEntity, recursiveResolve, recursiveResolve, resolve, resolve, resolveFirstChild, resolveInFunctionCall, setFromElement, setResolved`

Methods inherited from class org.hibernate.hql.ast.tree.AbstractSelectExpression
`getAlias, getScalarColumnIndex, isConstructor, isScalar, setAlias, setScalarColumn`

Methods inherited from class org.hibernate.hql.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.ast.tree.InitializeableNode
`initialize`

Methods inherited from interface org.hibernate.hql.ast.tree.SelectExpression
`getDataType, setText`

Constructor Detail

### IndexNode

    public IndexNode()

Method Detail

### setScalarColumnText

    public void setScalarColumnText(int i)
                             throws antlr.SemanticException

  Description copied from interface: `SelectExpression`
  Appends AST nodes that represent the columns after the current AST node. (e.g. 'as col0_O_')

  Parameters:
    `i` - The index of the select expression in the projection list.
  Throws:
    `antlr.SemanticException`

### prepareForDot

    public void prepareForDot(String propertyName)
                       throws antlr.SemanticException

  Overrides:
    `prepareForDot` in class `FromReferenceNode`
  Throws:
    `antlr.SemanticException`

### resolveIndex

    public void resolveIndex(antlr.collections.AST parent)
                      throws antlr.SemanticException

  Description copied from interface: `ResolvableNode`
  Does the work of resolving an an index [].

  Throws:
    `antlr.SemanticException`

### resolve

    public void resolve(boolean generateJoin,
                        boolean implicitJoin,
                        String classAlias,
                        antlr.collections.AST parent)
                 throws antlr.SemanticException

  Description copied from interface: `ResolvableNode`
  Does the work of resolving an identifier or a dot

  Throws:
    `antlr.SemanticException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.